;*****************************************************************************************

ProcedureDLL VBS_CountODBCDrivers() ; returns the number of installed ODBC Drivers
  SCtr_Reset()
  Protected VBS$
  VBS$ + "Const HKEY_LOCAL_MACHINE = &H80000002" + #CRLF$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objRegistry = GetObject(" + Chr(34) + "winmgmts:\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\default:StdRegProv" + Chr(34) + ")" + #CRLF$
	VBS$ + "strKeyPath = " + Chr(34) + "SOFTWARE\ODBC\ODBCINST.INI\ODBC Drivers" + Chr(34) + #CRLF$
	VBS$ + "objRegistry.EnumValues HKEY_LOCAL_MACHINE, strKeyPath, arrValueNames, arrValueTypes" + #CRLF$
	VBS$ + "count = UBound(arrValueNames)" + #CRLF$
	SCtr_AddCode(VBS$)
	ProcedureReturn Val(SCtr_EvalStr("count"))
EndProcedure 

ProcedureDLL.s VBS_ListAllODBCDrivers() ; list of all ODBC-Drivers
  SCtr_Reset()
  Protected VBS$, ergebnis.s
  VBS$ + "Const HKEY_LOCAL_MACHINE = &H80000002" + #CRLF$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objRegistry = GetObject(" + Chr(34) + "winmgmts:\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\default:StdRegProv" + Chr(34) + ")" + #CRLF$
	VBS$ + "strKeyPath = " + Chr(34) + "SOFTWARE\ODBC\ODBCINST.INI\ODBC Drivers" + Chr(34) + #CRLF$
	VBS$ + "objRegistry.EnumValues HKEY_LOCAL_MACHINE, strKeyPath, arrValueNames, arrValueTypes" + #CRLF$
	VBS$ + "For i = 0 to UBound(arrValueNames)" + #CRLF$
	VBS$ + "strValueName = arrValueNames(i)" + #CRLF$
	VBS$ + "objRegistry.GetStringValue HKEY_LOCAL_MACHINE,strKeyPath,strValueName,strValue    " + #CRLF$
	VBS$ + "driver = driver & arrValueNames(i) & " + Chr(34) + " @" + Chr(34) + " & strValue & chr(34) &  vbCRLF & chr(34)" + #CRLF$
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$)
	Debug SCtr_EvalStr("driver")
  	For i=1 To CountString(SCtr_EvalStr("driver"), #CRLF$)
	    ergebnis = ergebnis + StringField(SCtr_EvalStr("driver"), i, #CRLF$)
	  Next  
  ProcedureReturn ergebnis 
EndProcedure

ProcedureDLL.s VBS_ODBCDrivers(Value.l) ; list ODBC-drivers from 0 to value
  SCtr_Reset()
  Protected VBS$, ergebnis.s
  VBS$ + "Const HKEY_LOCAL_MACHINE = &H80000002" + #CRLF$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objRegistry = GetObject(" + Chr(34) + "winmgmts:\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\default:StdRegProv" + Chr(34) + ")" + #CRLF$
	VBS$ + "strKeyPath = " + Chr(34) + "SOFTWARE\ODBC\ODBCINST.INI\ODBC Drivers" + Chr(34) + #CRLF$
	VBS$ + "objRegistry.EnumValues HKEY_LOCAL_MACHINE, strKeyPath, arrValueNames, arrValueTypes" + #CRLF$
	VBS$ + "For i = 0 to " +Str(Value) + #CRLF$
	VBS$ + "strValueName = arrValueNames(i)" + #CRLF$
	VBS$ + "objRegistry.GetStringValue HKEY_LOCAL_MACHINE,strKeyPath,strValueName,strValue    " + #CRLF$
	VBS$ + "driver = driver & arrValueNames(i) & " + Chr(34) + " @" + Chr(34) + " & strValue & chr(34) & vbCRLF & chr(34)" + #CRLF$
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$) 
	  For i=1 To CountString(SCtr_EvalStr("driver"), #CRLF$)
	    ergebnis = ergebnis + StringField(SCtr_EvalStr("driver"), i, #CRLF$)
	  Next  
  ProcedureReturn ergebnis
EndProcedure

ProcedureDLL VBS_CreateRestorePoint(name.s) ; creates a restorePoint; name of the restorePoint -> return value: #S_OK if ok
  SCtr_Reset()
  frage=MessageRequester("create RestorePoint?", "Do you want to create a RestorePoint?", #PB_MessageRequester_YesNo)  
  Protected VBS$
  VBS$ + "CONST DEVICE_DRIVER_INSTALL = 10" + #CRLF$
	VBS$ + "CONST BEGIN_SYSTEM_CHANGE = 100" + #CRLF$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
	VBS$ + "& " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\default" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set objItem = objWMIService.Get(" + Chr(34) + "SystemRestore" + Chr(34) + ")" + #CRLF$
	VBS$ + "errResults = objItem.CreateRestorePoint _" + #CRLF$
	VBS$ + "(" + Chr(34) + name + Chr(34) + ", DEVICE_DRIVER_INSTALL, BEGIN_SYSTEM_CHANGE)" + #CRLF$ 
	
	If frage= #PB_MessageRequester_No
      ProcedureReturn 1
  Else    
      SCtr_AddCode(VBS$)
      ProcedureReturn SCtr_AddCode(VBS$)
  EndIf
EndProcedure

ProcedureDLL.s VBS_ListAllRestorePoints() ; lists all retorePoints with dates
SCtr_Reset()
Protected VBS$
	VBS$ + "Set dtmConvertedDate = CreateObject(" + Chr(34) + "WbemScripting.SWbemDateTime" + Chr(34) + ")" + #CRLF$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
	VBS$ + " & " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\default" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set colItems = objWMIService.ExecQuery(" + Chr(34) + "Select * from SystemRestore" + Chr(34) + ")" + #CRLF$
	VBS$ + "If colItems.Count = 0 Then" + #CRLF$
	VBS$ + "  name = "+Chr(34)+"No Restore point in system."+Chr(34) + #CRLF$
 	VBS$ + "Else" + #CRLF$
	VBS$ + "    For Each objItem in colItems" + #CRLF$
	VBS$ + "        dtmConvertedDate.Value = objItem.CreationTime" + #CRLF$
 	VBS$ + "        dtmCreationTime = dtmConvertedDate.GetVarDate" + #CRLF$
	VBS$ + "        Name = Name & objItem.Description & vbTab & dtmCreationTime & vbCrlf " + #CRLF$
	VBS$ + "     Next" + #CRLF$
	VBS$ + "End If" + #CRLF$
	SCtr_AddCode(VBS$)
  ProcedureReturn SCtr_EvalStr("name")
EndProcedure

ProcedureDLL VBS_AddUrltoFav(url.s) ; adds a website to the favorits -> return value: #S_OK if ok
SCtr_Reset()
  Protected VBS$
  VBS$ + "Const ADMINISTRATIVE_TOOLS = 6" + #CRLF$
	VBS$ + "Set objShell = CreateObject(" + Chr(34) + "Shell.Application" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set objFolder = objShell.Namespace(6) " + #CRLF$
	VBS$ + "Set objFolderItem = objFolder.Self" + #CRLF$
	VBS$ + "Set objShell = CreateObject(" + Chr(34) + "WScript.Shell" + Chr(34) + ")" + #CRLF$
	VBS$ + "strDesktopFld = objFolderItem.Path" + #CRLF$
	VBS$ + "Set objURLShortcut = objShell.CreateShortcut(strDesktopFld & " + Chr(34) + "\"+ url + ".url" + Chr(34) + ")" + #CRLF$
 	VBS$ + "objURLShortcut.TargetPath = " + Chr(34) + url + Chr(34) + #CRLF$
 	VBS$ + "objURLShortcut.Save" + #CRLF$
  SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_AddCode(VBS$)
EndProcedure

ProcedureDLL VBS_AddShortCut(app.s, desc.s="") ; adds a shortcut to the Quick Launch + description -> return value: #S_OK if ok
SCtr_Reset()
Protected filepart.s=GetFilePart(app)
Protected extpart.s=GetExtensionPart(app)
Protected lnk.s=RemoveString(filepart, extpart)+"lnk"
Protected VBS$
	VBS$ + "Set objShell = CreateObject(" + Chr(34) + "WScript.Shell" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set colEnvironmentVariables = objShell.Environment(" + Chr(34) + "Volatile" + Chr(34) + ")" + #CRLF$
	VBS$ + #CRLF$
	VBS$ + "strFolder = colEnvironmentVariables.Item(" + Chr(34) + "APPDATA" + Chr(34) + ") & _" + #CRLF$
	VBS$ + " " + Chr(34) + "\Microsoft\Internet Explorer\Quick Launch" + Chr(34) + #CRLF$
	VBS$ + #CRLF$
	VBS$ + "Set objShortCut = objShell.CreateShortcut(strFolder & _" + #CRLF$
	VBS$ + " " + Chr(34) + "\"+ lnk + Chr(34) + ")" + #CRLF$
	VBS$ + "objShortCut.TargetPath = " + Chr(34) + app + Chr(34) + #CRLF$
	VBS$ + "objShortCut.Description = " + Chr(34) + desc + Chr(34) + #CRLF$
	VBS$ + "objShortCut.Save" + #CRLF$
	SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_AddCode(VBS$)
EndProcedure 

ProcedureDLL.s VBS_DriveName(Driveletter.s) ; displays the name of the drive ; e.g.: VBS_DriveName("d")
SCtr_Reset()
Protected VBS$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + #CRLF$
	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set colItems = objWMIService.ExecQuery _" + #CRLF$
	VBS$ + "    (" + Chr(34) + "Select * From Win32_LogicalDisk Where DeviceID = '"+Driveletter+":'" + Chr(34) + ")" + #CRLF$
	VBS$ + #CRLF$
	VBS$ + "For Each objItem in colItems" + #CRLF$
	VBS$ + "name = objItem.VolumeName " + #CRLF$
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_EvalStr("name")
EndProcedure 

ProcedureDLL.s VBS_SizeOfRecycleBin() ; returns the size of the RecycleBin in kB
SCtr_Reset()
Protected VBS$
	VBS$ + "Const RECYCLE_BIN = &Ha&" + #CRLF$
	VBS$ + "Const FILE_SIZE = 3" + #CRLF$
	VBS$ + "Set objShell = CreateObject(" + Chr(34) + "Shell.Application" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set objFolder = objShell.Namespace(RECYCLE_BIN)" + #CRLF$
	VBS$ + "Set colItems = objFolder.Items" + #CRLF$
	VBS$ + "For Each objItem in colItems" + #CRLF$
	VBS$ + "    strSize = objFolder.GetDetailsOf(objItem, FILE_SIZE)" + #CRLF$
	VBS$ + "    arrSize = Split(strSize, " + Chr(34) + " " + Chr(34) + ")" + #CRLF$
	VBS$ + "    intSize = intSize + CLng(arrSize(0))" + #CRLF$
	VBS$ + "Next" + #CRLF$
	VBS$ + "size = intSize & " + Chr(34) + " KB" + Chr(34) + #CRLF$
	SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_EvalStr("size")
EndProcedure 

ProcedureDLL VBS_FolderExist(dir.s) ; return value: #S_OK = folder exist  
SCtr_Reset()
Protected VBS$
	VBS$ + "Set objFSO = CreateObject(" + Chr(34) + "Scripting.FileSystemObject" + Chr(34) + ")" + #CRLF$
	VBS$ + "If objFSO.FolderExists(" + Chr(34) + dir + Chr(34) + ") Then" + #CRLF$
	VBS$ + " Set objFolder = objFSO.GetFolder(" + Chr(34) + dir + Chr(34) + ")" + #CRLF$
	VBS$ + "wert = " + Chr(34) + "0" + Chr(34) + #CRLF$
	VBS$ + "Else" + #CRLF$
	VBS$ + "wert = " + Chr(34) + "1" + Chr(34) + #CRLF$
	VBS$ + "End If" + #CRLF$ 
	SCtr_AddCode(VBS$)
	ProcedureReturn Val(SCtr_EvalStr("wert"))
EndProcedure

ProcedureDLL.s VBS_EnumPrinters(Value.l)
SCtr_Reset()
  #count=1
  #list=2
	Protected VBS$
	VBS$ + "Set objNetwork = CreateObject(" + Chr(34) + "WScript.Network" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set colPrinters = objNetwork.EnumPrinterConnections" + #CRLF$
	VBS$ + "count = colPrinters.Count" + #CRLF$
	VBS$ + "For i = 0 to colPrinters.Count -1 Step 2" + #CRLF$
	VBS$ + " printers = printers & colPrinters.Item(i) & vbTab & colPrinters.Item (i + 1) &  vbCRLF" + #CRLF$
	VBS$ + "Next" + #CRLF$
	VBS$ + #CRLF$
	SCtr_AddCode(VBS$)
	Select Value
	    Case #count
	      ProcedureReturn Str(Val(SCtr_EvalStr("count"))/2)
	    Case #list  
	      ProcedureReturn SCtr_EvalStr("printers")
	  EndSelect  
EndProcedure 

ProcedureDLL.s VBS_ConnectedUSB() ; list of the connected USB devices
SCtr_Reset()
Protected VBS$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set colDevices = objWMIService.ExecQuery _" + #CRLF$
	VBS$ + "    (" + Chr(34) + "Select * From Win32_USBControllerDevice" + Chr(34) + ")" + #CRLF$
	VBS$ + "For Each objDevice in colDevices" + #CRLF$
	VBS$ + "    strDeviceName = objDevice.Dependent" + #CRLF$
	VBS$ + "    strQuotes = Chr(34)" + #CRLF$
	VBS$ + "    strDeviceName = Replace(strDeviceName, strQuotes, " + Chr(34) + Chr(34) + ")" + #CRLF$
	VBS$ + "    arrDeviceNames = Split(strDeviceName, " + Chr(34) + "=" + Chr(34) + ")" + #CRLF$
	VBS$ + "    strDeviceName = arrDeviceNames(1)" + #CRLF$
	VBS$ + "    Set colUSBDevices = objWMIService.ExecQuery _" + #CRLF$
	VBS$ + "        (" + Chr(34) + "Select * From Win32_PnPEntity Where DeviceID = '" + Chr(34) + " & strDeviceName & " + Chr(34) + "'" + Chr(34) + ")" + #CRLF$
	VBS$ + "    For Each objUSBDevice in colUSBDevices" + #CRLF$
	VBS$ + "      name = name & objUSBDevice.Description & vbCrLF" + #CRLF$
	VBS$ + "    Next    " + #CRLF$
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_EvalStr("name")
EndProcedure

ProcedureDLL.s VBS_EnumHardware() ; Enums the hardware
SCtr_Reset()
  Protected VBS$
  VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
	VBS$ + "& " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set colMice = objWMIService.ExecQuery _" + #CRLF$
	VBS$ + "(" + Chr(34) + "Select * from Win32_PointingDevice" + Chr(34) + ")" + #CRLF$
	VBS$ + "For Each objMouse in colMice" + #CRLF$
 	VBS$ + "name = name & HType & objMouse.HardwareType & vbTab & objMouse.NumberOfButtons & vbTab & objMouse.Status & vbTab &objMouse.PNPDeviceID & vbCRLF" + #CRLF$
;  	VBS$ + "HButtons = HButtons & objMouse.NumberOfButtons & vbCRLF" + #CRLF$
;  	VBS$ + "HStatus = Hstatus & objMouse.Status & vbCRLF" + #CRLF$
;  	VBS$ + "HPNP = Hpnp & objMouse.PNPDeviceID & vbCRLF" + #CRLF$
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_EvalStr("name")
EndProcedure

ProcedureDLL VBS_SetScreenSaverTimeout(sek.l) ; Set screensaver Timeout in seconds - needs Windows restart; #S_OK = ok
SCtr_Reset()
sec.s=Str(sek)
	Protected VBS$
	VBS$ + "HKEY_CURRENT_USER = &H80000001" + #CRLF$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objReg = GetObject(" + Chr(34) + "winmgmts:\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\default:StdRegProv" + Chr(34) + ")" + #CRLF$
	VBS$ + "strKeyPath = " + Chr(34) + "Control Panel\Desktop" + Chr(34) + #CRLF$
	VBS$ + "objReg.CreateKey HKEY_CURRENT_USER, strKeyPath" + #CRLF$
	VBS$ + "ValueName = " + Chr(34) + "ScreenSaveTimeout" + Chr(34) + #CRLF$
	VBS$ + "strValue = " + Chr(34) + sec + Chr(34) + #CRLF$
	VBS$ + "objReg.SetStringValue HKEY_CURRENT_USER, strKeyPath, ValueName, strValue" + #CRLF$
	SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_AddCode(VBS$)
EndProcedure

ProcedureDLL.s VBS_installedSoftware()  ; list of installed Software + Version + location
  SCtr_Reset()
  Protected VBS$
  VBS$ + "Set objFSO = CreateObject(" + Chr(34) + "Scripting.FileSystemObject" + Chr(34) + ")" + #CRLF$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
	VBS$ + "& " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set colSoftware = objWMIService.ExecQuery _" + #CRLF$
	VBS$ + "(" + Chr(34) + "Select * from Win32_Product" + Chr(34) + ")" + #CRLF$
	VBS$ + "For Each objSoftware in colSoftware" + #CRLF$
	VBS$ + "wert = wert & objSoftware.Description & vbtab & objSoftware.Version & vbtab & objSoftware.InstallLocation & vbCRLF" + #CRLF$    
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_EvalStr("wert")
EndProcedure

ProcedureDLL.s VBS_FileVersion(file.s)  ; returns the versiion of a file
SCtr_Reset()
	Protected VBS$
	VBS$ + "Set objFSO = CreateObject(" + Chr(34) + "Scripting.FileSystemObject" + Chr(34) + ")" + #CRLF$
	VBS$ + "wert = objFSO.GetFileVersion(" + Chr(34) + file + Chr(34) + ")" 
	SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_EvalStr("wert")
EndProcedure

ProcedureDLL.s VBS_Freespace(drive.s) ; returns the free sapce of a drive in bytes
SCtr_Reset()
	Protected VBS$
	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set objLogicalDisk = objWMIService.Get(" + Chr(34) + "Win32_LogicalDisk.DeviceID='"+drive.s+"'" + Chr(34) + ")" + #CRLF$
	VBS$ + "freespace = objLogicalDisk.FreeSpace" + #CRLF$
	SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_EvalStr("freespace")
EndProcedure 

ProcedureDLL.s VBS_FreeSpaceOfall() ; returns all HardDisks + freespace in bytes
SCtr_Reset()
	Protected VBS$
	VBS$ + "Const HARD_DISK = 3" + #CRLF$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
	VBS$ + "    & " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set colDisks = objWMIService.ExecQuery _" + #CRLF$
	VBS$ + "    (" + Chr(34) + "Select * from Win32_LogicalDisk Where DriveType = " + Chr(34) + " & HARD_DISK & " + Chr(34) + Chr(34) + ")" + #CRLF$
	VBS$ + "For Each objDisk in colDisks" + #CRLF$
	VBS$ + "    device = device & objDisk.DeviceID & vbTab & objDisk.FreeSpace & vbCrlF"  + #CRLF$
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_EvalStr("device")
EndProcedure

ProcedureDLL.s VBS_IpConfig() ; returns the IP-Config
SCtr_Reset()
Protected VBS$
	VBS$ + "Set objShell = CreateObject(" + Chr(34) + "WScript.Shell" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set objExecObject = objShell.Exec(" + Chr(34) + "%comspec% /c ipconfig.exe" + Chr(34) + ")" + #CRLF$
	VBS$ + #CRLF$
	VBS$ + "Do Until objExecObject.StdOut.AtEndOfStream" + #CRLF$
	VBS$ + " strLine = strLine & objExecObject.StdOut.ReadLine() & vbCRLF" + #CRLF$
	VBS$ + " strIP = Instr(strLine," + Chr(34) + "Address" + Chr(34) + ")" + #CRLF$
	VBS$ + " If strIP <> 0 Then" + #CRLF$
	VBS$ + " wert = strLine" + #CRLF$
	VBS$ + " End If" + #CRLF$
	VBS$ + "Loop" + #CRLF$
	SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_EvalStr("strLine")
EndProcedure

ProcedureDLL.s VBS_Ping(Address.s) ; ping an address
SCtr_Reset()
Protected VBS$
	VBS$ + "Set objShell = CreateObject(" + Chr(34) + "WScript.Shell" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set objExecObject = objShell.Exec(" + Chr(34) + "cmd /c ping -n 3 -w 1000 "+ Address + Chr(34) + ")" + #CRLF$
	VBS$ + "Do While Not objExecObject.StdOut.AtEndOfStream" + #CRLF$
	VBS$ + "    strText = strText & objExecObject.StdOut.ReadLine() & vbCRLF" + #CRLF$
	VBS$ + "    If Instr(strText, " + Chr(34) + "Reply" + Chr(34) + ") > 0 Then" + #CRLF$
	VBS$ + "        erg = erg & " + Chr(34) + "Reply received "+ Chr(34) +"& vbCRLF" + #CRLF$
	VBS$ + "        Exit Do" + #CRLF$
	VBS$ + "    End If" + #CRLF$
	VBS$ + "Loop" + #CRLF$
	SCtr_AddCode(VBS$)
  ProcedureReturn SCtr_EvalStr("strText")
EndProcedure

ProcedureDLL.s VBS_InternetConnection() ; returns the Internetconnections
SCtr_Reset()
	Protected VBS$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
	VBS$ + "    & " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & _" + #CRLF$
	VBS$ + "        " + Chr(34) + "\root\cimv2\Applications\MicrosoftIE" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set colIESettings = objWMIService.ExecQuery _" + #CRLF$
	VBS$ + "    (" + Chr(34) + "Select * from MicrosoftIE_ConnectionSettings" + Chr(34) + ")" + #CRLF$
	VBS$ + "For Each strIESetting in colIESettings" + #CRLF$
	VBS$ + "Default = default & strIESetting.Name + vbCrlf" + #CRLF$
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_EvalStr("Default")
EndProcedure 

ProcedureDLL.s VBS_TempInternetPath() ; returns the path of the Temporary Internet Folder
SCtr_Reset()
	Protected VBS$
	VBS$ + "Const TEMPORARY_INTERNET_FILES = &H20&" + #CRLF$
	VBS$ + "Set objShell = CreateObject(" + Chr(34) + "Shell.Application" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set objFolder = objShell.Namespace(TEMPORARY_INTERNET_FILES)" + #CRLF$
	VBS$ + "Set objFolderItem = objFolder.Self" + #CRLF$
	VBS$ + "tpath = objFolderItem.Path" + #CRLF$
	SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_EvalStr("tpath")
EndProcedure 

ProcedureDLL.s VBS_TempInternetFolder() ; returns all files in Temporary Internet Folder
SCtr_Reset()
	Protected VBS$
	VBS$ + "Const TEMPORARY_INTERNET_FILES = &H20&" + #CRLF$
	VBS$ + "Set objShell = CreateObject(" + Chr(34) + "Shell.Application" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set objFolder = objShell.Namespace(TEMPORARY_INTERNET_FILES)" + #CRLF$
	VBS$ + "Set objFolderItem = objFolder.Self" + #CRLF$
	VBS$ + "tpath = objFolderItem.Path" + #CRLF$
	VBS$ + "Set colItems = objFolder.Items" + #CRLF$
	VBS$ + "For Each objItem in colItems" + #CRLF$
	VBS$ + "    name = name & objItem.Name + vbCrlf" + #CRLF$
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_EvalStr("name")
EndProcedure 

ProcedureDLL.s VBS_GetCompName() ; returns the ComputerName
SCtr_Reset()
	Protected VBS$
	VBS$ + "Set objComputer = CreateObject(" + Chr(34) + "Shell.LocalMachine" + Chr(34) + ")" + #CRLF$
	VBS$ + "name = objComputer.MachineName" + #CRLF$
	SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_EvalStr("name")
EndProcedure 

ProcedureDLL.s VBS_OS_Prop() ; returns some OS-Properties: OS SP CountyCode SN Version
SCtr_Reset()
	Protected VBS$
	VBS$ + "Set dtmConvertedDate = CreateObject(" + Chr(34) + "WbemScripting.SWbemDateTime" + Chr(34) + ")" + #CRLF$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
	VBS$ + "    & " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set colOperatingSystems = objWMIService.ExecQuery _" + #CRLF$
	VBS$ + "    (" + Chr(34) + "Select * from Win32_OperatingSystem" + Chr(34) + ")" + #CRLF$
	VBS$ + #CRLF$
	VBS$ + "For Each objOperatingSystem in colOperatingSystems" + #CRLF$
	VBS$ + "name =  objOperatingSystem.Caption & vbTAb & objOperatingSystem.ServicePackMajorVersion & vbTab & objOperatingSystem.CountryCode & vbTab & objOperatingSystem.SerialNumber & vbTAb & objOperatingSystem.Version & VbtAb & objOperatingSystem.RegisteredUser" + #CRLF$
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_EvalStr("name")
EndProcedure 

ProcedureDLL.s VBS_BiosVersion() ; returns the BIOS-Version
SCtr_Reset()
	Protected VBS$
VBS$ + #CRLF$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
	VBS$ + "    & " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set colSettings = objWMIService.ExecQuery _" + #CRLF$
	VBS$ + "    (" + Chr(34) + "Select * from Win32_BIOS" + Chr(34) + ")" + #CRLF$
	VBS$ + #CRLF$
	VBS$ + "For Each objBIOS in colSettings " + #CRLF$
	VBS$ + "    bios = objBIOS.Version" + #CRLF$
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_EvalStr("bios")
EndProcedure 

ProcedureDLL.s VBS_ProcDesc() ; description of the processor
SCtr_Reset()
	Protected VBS$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
	VBS$ + "    & " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set colSettings = objWMIService.ExecQuery _" + #CRLF$
	VBS$ + "    (" + Chr(34) + "Select * from Win32_Processor" + Chr(34) + ")" + #CRLF$
	VBS$ + "For Each objProcessor in colSettings " + #CRLF$
	VBS$ + "  name = name & objProcessor.Description + vbCrlf" + #CRLF$
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_EvalStr("name")
EndProcedure 

ProcedureDLL.s VBS_CompMan() ; returns Computer Manufacturer
SCtr_Reset()
	Protected VBS$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
	VBS$ + "    & " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
  VBS$ + "Set colSettings = objWMIService.ExecQuery _" + #CRLF$
	VBS$ + "    (" + Chr(34) + "Select * from Win32_ComputerSystem" + Chr(34) + ")" + #CRLF$
	VBS$ + "For Each objComputer in colSettings " + #CRLF$
	VBS$ + "  name = objComputer.Manufacturer & vbCrlf" + #CRLF$
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_EvalStr("name")
EndProcedure 

ProcedureDLL.s VBS_CompModel() ; returns the Computer Model
SCtr_Reset()
	Protected VBS$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
	VBS$ + "    & " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
  VBS$ + "Set colSettings = objWMIService.ExecQuery _" + #CRLF$
	VBS$ + "    (" + Chr(34) + "Select * from Win32_ComputerSystem" + Chr(34) + ")" + #CRLF$
	VBS$ + "For Each objComputer in colSettings " + #CRLF$
 	VBS$ + " name = objComputer.Model & vbCrlF" + #CRLF$
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_EvalStr("name")
EndProcedure 

ProcedureDLL.s VBS_TotalPhysicalMemory() ; TotalPhysicalMemory in bytes
SCtr_Reset()
	Protected VBS$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
	VBS$ + "    & " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
  VBS$ + "Set colSettings = objWMIService.ExecQuery _" + #CRLF$
	VBS$ + "    (" + Chr(34) + "Select * from Win32_ComputerSystem" + Chr(34) + ")" + #CRLF$
	VBS$ + "For Each objComputer in colSettings " + #CRLF$
 	VBS$ + "  name = objComputer.TotalPhysicalMemory & vbCrLF" + #CRLF$
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$)
	ProcedureReturn SCtr_EvalStr("name")
EndProcedure 

ProcedureDLL.s VBS_RenameVolume(drive.s, name.s) ; rename a volume
SCtr_Reset()
	Protected VBS$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
	VBS$ + "    & " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set colDrives = objWMIService.ExecQuery _" + #CRLF$
	VBS$ + "    (" + Chr(34) + "Select * from Win32_LogicalDisk where DeviceID = '"+drive+"'" + Chr(34) + ")" + #CRLF$
	VBS$ + "For Each objDrive in colDrives" + #CRLF$
	VBS$ + "    objDrive.VolumeName = " + Chr(34) + name + Chr(34) + #CRLF$
	VBS$ + "    objDrive.Put_" + #CRLF$
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$)
EndProcedure 

ProcedureDLL.s VBS_DriveType(drive.s) ; returns the DriveType: Unknown; Removable; Fixed; Network; CD-ROM; RAM Disk
SCtr_Reset()
	Protected VBS$
	VBS$ + "Dim fso, drive, strDriveType" + #CRLF$
	VBS$ + "Set fso = CreateObject(" + Chr(34) + "Scripting.FileSystemObject" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set drive = fso.GetDrive(" + Chr(34) + drive + Chr(34) + ")" + #CRLF$
	VBS$ + "Select Case Drive.DriveType" + #CRLF$
	VBS$ + "    Case 0" + #CRLF$
	VBS$ + "        strDriveType = " + Chr(34) + "Unknown" + Chr(34) + #CRLF$
	VBS$ + "    Case 1" + #CRLF$
	VBS$ + "        strDriveType = " + Chr(34) + "Removable" + Chr(34) + #CRLF$
	VBS$ + "    Case 2" + #CRLF$
	VBS$ + "        strDriveType = " + Chr(34) + "Fixed" + Chr(34) + #CRLF$
	VBS$ + "    Case 3" + #CRLF$
	VBS$ + "        strDriveType = " + Chr(34) + "Network" + Chr(34) + #CRLF$
	VBS$ + "    Case 4" + #CRLF$
	VBS$ + "        strDriveType = " + Chr(34) + "CD-ROM" + Chr(34) + #CRLF$
	VBS$ + "    Case 5" + #CRLF$
	VBS$ + "        strDriveType = " + Chr(34) + "RAM Disk" + Chr(34) + #CRLF$
	VBS$ + "End Select" + #CRLF$
	SCtr_AddCode(VBS$)
  ProcedureReturn SCtr_EvalStr("strDriveType")
EndProcedure 

ProcedureDLL.s VBS_DirectX() ; returns the Direct-Version
SCtr_Reset()
	Protected VBS$
  VBS$ + "Const HKEY_LOCAL_MACHINE = &H80000002" + #CRLF$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objRegistry=GetObject(" + Chr(34) + "winmgmts:\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\default:StdRegProv" + Chr(34) + ")" + #CRLF$
	VBS$ + "strKeyPath = " + Chr(34) + "Software\Microsoft\DirectX" + Chr(34) + #CRLF$
	VBS$ + "strValueName = " + Chr(34) + "Version" + Chr(34) + #CRLF$
	VBS$ + "objRegistry.GetStringValue HKEY_LOCAL_MACHINE, strKeyPath, strValueName, strValue" + #CRLF$
	VBS$ + "Select Case strValue" + #CRLF$
	VBS$ + "    Case " + Chr(34) + "4.02.0095" + Chr(34) + #CRLF$
	VBS$ + "        strVersion = " + Chr(34) + "1.0" + Chr(34) + #CRLF$
	VBS$ + "    Case " + Chr(34) + "4.03.00.1096" + Chr(34) + #CRLF$
	VBS$ + "        strVersion = " + Chr(34) + "2.0" + Chr(34) + #CRLF$
	VBS$ + "    Case " + Chr(34) + "4.04.0068" + Chr(34) + #CRLF$
	VBS$ + "        strVersion = " + Chr(34) + "3.0" + Chr(34) + #CRLF$
	VBS$ + "    Case " + Chr(34) + "4.04.0069" + Chr(34) + #CRLF$
	VBS$ + "        strVersion = " + Chr(34) + "3.0" + Chr(34) + #CRLF$
	VBS$ + "    Case " + Chr(34) + "4.05.00.0155" + Chr(34) + #CRLF$
	VBS$ + "        strVersion = " + Chr(34) + "5.0" + Chr(34) + #CRLF$
	VBS$ + "    Case " + Chr(34) + "4.05.01.1721" + Chr(34) + #CRLF$
	VBS$ + "        strVersion = " + Chr(34) + "5.0" + Chr(34) + #CRLF$
	VBS$ + "    Case " + Chr(34) + "4.05.01.1998" + Chr(34) + #CRLF$
	VBS$ + "        strVersion = " + Chr(34) + "5.0" + Chr(34) + #CRLF$
	VBS$ + "    Case " + Chr(34) + "4.06.02.0436" + Chr(34) + #CRLF$
	VBS$ + "        strVersion = " + Chr(34) + "6.0" + Chr(34) + #CRLF$
	VBS$ + "    Case " + Chr(34) + "4.07.00.0700" + Chr(34) + #CRLF$
	VBS$ + "        strVersion = " + Chr(34) + "7.0" + Chr(34) + #CRLF$
	VBS$ + "    Case " + Chr(34) + "4.07.00.0716" + Chr(34) + #CRLF$
	VBS$ + "        strVersion = " + Chr(34) + "7.0a" + Chr(34) + #CRLF$
	VBS$ + "    Case " + Chr(34) + "4.08.00.0400" + Chr(34) + #CRLF$
	VBS$ + "        strVersion = " + Chr(34) + "8.0" + Chr(34) + #CRLF$
	VBS$ + "    Case " + Chr(34) + "4.08.01.0881" + Chr(34) + #CRLF$
	VBS$ + "        strVersion = " + Chr(34) + "8.1" + Chr(34) + #CRLF$
	VBS$ + "    Case " + Chr(34) + "4.08.01.0810" + Chr(34) + #CRLF$
	VBS$ + "        strVersion = " + Chr(34) + "8.1" + Chr(34) + #CRLF$
	VBS$ + "    Case " + Chr(34) + "4.09.0000.0900" + Chr(34) + #CRLF$
	VBS$ + "        strVersion = " + Chr(34) + "9.0" + Chr(34) + #CRLF$
	VBS$ + "    Case " + Chr(34) + "4.09.00.0900" + Chr(34) + #CRLF$
	VBS$ + "        strVersion = " + Chr(34) + "9.0" + Chr(34) + #CRLF$
	VBS$ + "    Case " + Chr(34) + "4.09.0000.0901" + Chr(34) + #CRLF$
	VBS$ + "        strVersion = " + Chr(34) + "9.0a" + Chr(34) + #CRLF$
	VBS$ + "    Case " + Chr(34) + "4.09.00.0901" + Chr(34) + #CRLF$
	VBS$ + "        strVersion = " + Chr(34) + "9.0a" + Chr(34) + #CRLF$
	VBS$ + "    Case " + Chr(34) + "4.09.0000.0902" + Chr(34) + #CRLF$
	VBS$ + "        strVersion = " + Chr(34) + "9.0b" + Chr(34) + #CRLF$
	VBS$ + "    Case " + Chr(34) + "4.09.00.0902" + Chr(34) + #CRLF$
	VBS$ + "        strVersion = " + Chr(34) + "9.0b" + Chr(34) + #CRLF$
	VBS$ + "    Case " + Chr(34) + "4.09.00.0904" + Chr(34) + #CRLF$
	VBS$ + "        strVersion = " + Chr(34) + "9.0c" + Chr(34) + #CRLF$
	VBS$ + "    Case " + Chr(34) + "4.09.0000.0904" + Chr(34) + #CRLF$
	VBS$ + "        strVersion = " + Chr(34) + "9.0c" + Chr(34) + #CRLF$
	VBS$ + "End Select" + #CRLF$
	SCtr_AddCode(VBS$)
  ProcedureReturn SCtr_EvalStr("strVersion")
EndProcedure 

ProcedureDLL.s VBS_CDRom() ; returns the Name of CD-Rom
SCtr_Reset()
	Protected VBS$
	VBS$ + "On Error Resume Next" + #CRLF$
	VBS$ + #CRLF$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
	VBS$ + "    & " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
	VBS$ + #CRLF$
	VBS$ + "Set colItems = objWMIService.ExecQuery(" + Chr(34) + "Select * from Win32_CDROMDrive" + Chr(34) + ")" + #CRLF$
	VBS$ + #CRLF$
	VBS$ + "For Each objItem in colItems" + #CRLF$
	VBS$ + "  strVersion = objItem.Caption" + #CRLF$
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$)
  ProcedureReturn SCtr_EvalStr("strVersion")
EndProcedure  

ProcedureDLL.s VBS_FilesOfProgramFiles() ; Files of ProgramFiles
SCtr_Reset()
	Protected VBS$
	VBS$ + "Const ALL_USERS_PROGRAMS = &H17&" + #CRLF$
	VBS$ + #CRLF$
	VBS$ + "Set objShell = CreateObject(" + Chr(34) + "Shell.Application" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set objFolder = objShell.Namespace(ALL_USERS_PROGRAMS)" + #CRLF$
	VBS$ + "Set objFolderItem = objFolder.Self" + #CRLF$
	;VBS$ + "Wscript.Echo objFolderItem.Path" + #CRLF$
	VBS$ + #CRLF$
	VBS$ + "Set colItems = objFolder.Items" + #CRLF$
	VBS$ + "For Each objItem in colItems" + #CRLF$
	VBS$ + "  name = name & objItem.Name & vbCrlf" + #CRLF$
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$)
  ProcedureReturn SCtr_EvalStr("name")
EndProcedure 

ProcedureDLL.s VBS_FilesOfAppData() ; Files of Appdata
SCtr_Reset()
	Protected VBS$
	VBS$ + "Const APPLICATION_DATA = &H1a&" + #CRLF$
	VBS$ + #CRLF$
	VBS$ + "Set objShell = CreateObject(" + Chr(34) + "Shell.Application" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set objFolder = objShell.Namespace(APPLICATION_DATA)" + #CRLF$
	VBS$ + "Set objFolderItem = objFolder.Self" + #CRLF$
	;VBS$ + "Wscript.Echo objFolderItem.Path" + #CRLF$
	VBS$ + #CRLF$
	VBS$ + "Set colItems = objFolder.Items" + #CRLF$
	VBS$ + "For Each objItem in colItems" + #CRLF$
	VBS$ + "  name = name & objItem.Name & vbCrlf" + #CRLF$
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$)
  ProcedureReturn SCtr_EvalStr("name")
EndProcedure 

ProcedureDLL.s VBS_FilesOfDesktop() ; Desktopfiles
SCtr_Reset()
	Protected VBS$
	VBS$ + "Const DESKTOP = &H10&" + #CRLF$
	VBS$ + #CRLF$
	VBS$ + "Set objShell = CreateObject(" + Chr(34) + "Shell.Application" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set objFolder = objShell.Namespace(DESKTOP)" + #CRLF$
	VBS$ + "Set objFolderItem = objFolder.Self" + #CRLF$
	;VBS$ + "Wscript.Echo objFolderItem.Path" + #CRLF$
	VBS$ + #CRLF$
	VBS$ + "Set colItems = objFolder.Items" + #CRLF$
	VBS$ + "For Each objItem in colItems" + #CRLF$
	VBS$ + "  name = name & objItem.Name & vbCrlf" + #CRLF$
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$)
  ProcedureReturn SCtr_EvalStr("name")
EndProcedure

ProcedureDLL.s VBS_Cookies() ; cookies
SCtr_Reset()
	Protected VBS$
	VBS$ + "Const COOKIES = &H21&" + #CRLF$
	VBS$ + #CRLF$
	VBS$ + "Set objShell = CreateObject(" + Chr(34) + "Shell.Application" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set objFolder = objShell.Namespace(COOKIES)" + #CRLF$
	VBS$ + "Set objFolderItem = objFolder.Self" + #CRLF$
	;VBS$ + "Wscript.Echo objFolderItem.Path" + #CRLF$
	VBS$ + #CRLF$
	VBS$ + "Set colItems = objFolder.Items" + #CRLF$
	VBS$ + "For Each objItem in colItems" + #CRLF$
	VBS$ + "  name = name & objItem.Name & vbCrlf" + #CRLF$
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$)
  ProcedureReturn SCtr_EvalStr("name")
EndProcedure 

ProcedureDLL.s VBS_Favorites() ; Favorites
SCtr_Reset()
	Protected VBS$
	VBS$ + "Const FAVORITES = &H6&" + #CRLF$
	VBS$ + #CRLF$
	VBS$ + "Set objShell = CreateObject(" + Chr(34) + "Shell.Application" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set objFolder = objShell.Namespace(FAVORITES)" + #CRLF$
	VBS$ + "Set objFolderItem = objFolder.Self" + #CRLF$
	;VBS$ + "Wscript.Echo objFolderItem.Path" + #CRLF$
	VBS$ + #CRLF$
	VBS$ + "Set colItems = objFolder.Items" + #CRLF$
	VBS$ + "For Each objItem in colItems" + #CRLF$
	VBS$ + "  name = name & objItem.Name & vbCrlf" + #CRLF$
	VBS$ + "Next" + #CRLF$
	SCtr_AddCode(VBS$)
  ProcedureReturn SCtr_EvalStr("name")
EndProcedure 

ProcedureDLL VBS_SetIETitle(title.s) ; Change the Internet Explorer Title Bar; #S_OK = ok
SCtr_Reset()
	Protected VBS$
	VBS$ + "Const HKEY_CURRENT_USER = &H80000001" + #CRLF$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objReg = GetObject(" + Chr(34) + "winmgmts:\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\default:StdRegProv" + Chr(34) + ")" + #CRLF$
	VBS$ + "strKeyPath = " + Chr(34) + "SOFTWARE\Microsoft\Internet Explorer\Main" + Chr(34) + #CRLF$
	VBS$ + "strValueName = " + Chr(34) + "Window Title" + Chr(34) + #CRLF$
	VBS$ + "strValue = " + Chr(34) + title + Chr(34) + #CRLF$
	VBS$ + "objReg.SetStringValue HKEY_CURRENT_USER, strKeyPath, strValueName, strValue" + #CRLF$
	SCtr_AddCode(VBS$)
   ProcedureReturn SCtr_AddCode(VBS$)
EndProcedure 

ProcedureDLL.s VBS_SetIEStartpage(url.s) ; Set Startpage OF IE
SCtr_Reset()
	Protected VBS$
	VBS$ + "Const HKEY_CURRENT_USER = &H80000001" + #CRLF$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objReg = GetObject(" + Chr(34) + "winmgmts:\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\default:StdRegProv" + Chr(34) + ")" + #CRLF$
	VBS$ + "strKeyPath = " + Chr(34) + "SOFTWARE\Microsoft\Internet Explorer\Main" + Chr(34) + #CRLF$
	VBS$ + "ValueName = " + Chr(34) + "Start Page" + Chr(34) + #CRLF$
	VBS$ + "strValue = " + Chr(34) + url + Chr(34) + #CRLF$
	VBS$ + "objReg.SetStringValue HKEY_CURRENT_USER, strKeyPath, ValueName, strValue" + #CRLF$
	SCtr_AddCode(VBS$)
;   ProcedureReturn SCtr_EvalStr("name")
EndProcedure 

ProcedureDLL.s VBS_ReadOutlookCalendar() ; returns the calendar-items of Outlook
SCtr_Reset()
   Protected VBS$ 
     VBS$ + "Const cal = 9" + #CRLF$ 
     VBS$ + "Set objOutlook = CreateObject(" + Chr(34) + "Outlook.Application" + Chr(34) + ")" + #CRLF$ 
     VBS$ + "Set objNamespace = objOutlook.GetNamespace(" + Chr(34) + "MAPI" + Chr(34) + ")" + #CRLF$ 
      VBS$ + "Set objFolder = objNamespace.GetDefaultFolder(cal)" + #CRLF$ 
      VBS$ + "Set colItems = objFolder.Items" + #CRLF$ 
      VBS$ + "Anzahl =  colItems.Count" + #CRLF$ 
      VBS$ + "For Each objItem in colItems" + #CRLF$ 
     VBS$ + "name = name & objItem & vbTAb & objItem.start & vbTAb & objItem.End & vbTAb  & objItem.body &  vbCRLF"+ #CRLF$ 
     VBS$ + "Next" + #CRLF$ 
    SCtr_AddCode(VBS$)
   ProcedureReturn SCtr_EvalStr("name") 
EndProcedure 

ProcedureDLL.s VBS_ReadOutlookItems(value.l) ; 3=DeletedItems; 4=Outbox, 5=SentMail; 6=Inbox; 
SCtr_Reset()
Protected valO.s=Str(value)
   Protected VBS$ 
     VBS$ + "Const cal = " + valO + #CRLF$ 
     VBS$ + "Set objOutlook = CreateObject(" + Chr(34) + "Outlook.Application" + Chr(34) + ")" + #CRLF$ 
     VBS$ + "Set objNamespace = objOutlook.GetNamespace(" + Chr(34) + "MAPI" + Chr(34) + ")" + #CRLF$ 
      VBS$ + "Set objFolder = objNamespace.GetDefaultFolder(cal)" + #CRLF$ 
      VBS$ + "Set colItems = objFolder.Items" + #CRLF$ 
      VBS$ + "Anzahl =  colItems.Count" + #CRLF$ 
      VBS$ + "For Each objItem in colItems" + #CRLF$ 
     VBS$ + "name = name & objItem.to & vbTab & objItem.cc & vbTab & objItem.subject & vbCRLF"+ #CRLF$ 
     VBS$ + "Next" + #CRLF$ 
    SCtr_AddCode(VBS$)
   ProcedureReturn SCtr_EvalStr("name") 
EndProcedure

ProcedureDLL.s VBS_GetWMINameSpaces() ; returns the WMI-Namespaces 
SCtr_Reset()
   Protected VBS$ 
    VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
  	VBS$ + "Set objWMIService=GetObject(" + Chr(34) + "winmgmts:{impersonationLevel=impersonate}!\\" + Chr(34) + " & _ " + #CRLF$
  	VBS$ + "    strComputer & " + Chr(34) + "\root" + Chr(34) + ")" + #CRLF$
  	VBS$ + "Set colNameSpaces = objWMIService.InstancesOf(" + Chr(34) + "__NAMESPACE" + Chr(34) + ")" + #CRLF$
  	VBS$ + " " + #CRLF$
  	VBS$ + "For Each objNameSpace In colNameSpaces" + #CRLF$
  	VBS$ + "  name = name & objNameSpace.Name & vbcrlf" + #CRLF$
  	VBS$ + "Next" + #CRLF$
    SCtr_AddCode(VBS$)
   ProcedureReturn SCtr_EvalStr("name") 
EndProcedure 

ProcedureDLL.s VBS_GetWMIProviders() ; returns the WMI-Providers
SCtr_Reset()
   Protected VBS$ 
    VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
  	VBS$ + "Set objWMIService=GetObject(" + Chr(34) + "winmgmts:{impersonationLevel=impersonate}!\\" + Chr(34) + " & _ " + #CRLF$
  	VBS$ + "    strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
  	VBS$ + "Set colWin32Providers = objWMIService.InstancesOf(" + Chr(34) + "__Win32Provider" + Chr(34) + ")" + #CRLF$
  	VBS$ + "For Each objWin32Provider In colWin32Providers" + #CRLF$
  	VBS$ + "  name = name & objWin32Provider.Name & vbCrLF" + #CRLF$
  	VBS$ + "Next" + #CRLF$
    SCtr_AddCode(VBS$)
   ProcedureReturn SCtr_EvalStr("name") 
EndProcedure 

ProcedureDLL.s VBS_GetEnvVariables() ; List Environment Variables on a Computer
SCtr_Reset()
   Protected VBS$ 
    VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
  	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
  	VBS$ + "    & " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
  	VBS$ + "Set colItems = objWMIService.ExecQuery(" + Chr(34) + "Select * from Win32_Environment" + Chr(34) + ")" + #CRLF$
  	VBS$ + "For Each objItem in colItems" + #CRLF$
  	VBS$ + "  name = name & objItem.Description & vbTAB & objItem.Name & vbTAB & objItem.SystemVariable & vbTAB & objItem.UserName & vbTAB & objItem.VariableValue & vbCRLF" + #CRLF$
  	VBS$ + "Next" + #CRLF$
    SCtr_AddCode(VBS$)
   ProcedureReturn SCtr_EvalStr("name") 
EndProcedure 

ProcedureDLL VBS_XPFirewall(value.b) ; 1= enables; 0=disables XPFirewall; #S_OK = OK
If value=1
  nab.s="TRUE"
ElseIf value=0
  nab.s="FALSE"
EndIf
    
SCtr_Reset()
   Protected VBS$ 
  	VBS$ + "Set objFirewall = CreateObject(" + Chr(34) + "HNetCfg.FwMgr" + Chr(34) + ")" + #CRLF$
  	VBS$ + "Set objPolicy = objFirewall.LocalPolicy.CurrentProfile" + #CRLF$
  	VBS$ + "objPolicy.FirewallEnabled = "+nab + #CRLF$
    SCtr_AddCode(VBS$)
   ProcedureReturn SCtr_AddCode(VBS$) 
EndProcedure

ProcedureDLL.s VBS_GetIEVersion() ; returns the Version of Internet Explorer is Installed on a Computer 
SCtr_Reset()
   Protected VBS$ 
      VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
    	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:\\" + Chr(34) + " & strComputer & _" + #CRLF$
    	VBS$ + "    " + Chr(34) + "\root\cimv2\Applications\MicrosoftIE" + Chr(34) + ")" + #CRLF$
    	VBS$ + "Set colIESettings = objWMIService.ExecQuery _" + #CRLF$
    	VBS$ + "    (" + Chr(34) + "Select * from MicrosoftIE_Summary" + Chr(34) + ")" + #CRLF$
    	VBS$ + "For Each strIESetting in colIESettings" + #CRLF$
    	VBS$ + "  name = name & strIESetting.Version  & vbcrlf" + #CRLF$
    	VBS$ + "Next" + #CRLF$
      SCtr_AddCode(VBS$)
   ProcedureReturn SCtr_EvalStr("name") 
EndProcedure 

ProcedureDLL.s VBS_GetIEProductID() ; returns the ProductID of Internet Explorer is Installed on a Computer 
SCtr_Reset()
   Protected VBS$ 
      VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
    	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:\\" + Chr(34) + " & strComputer & _" + #CRLF$
    	VBS$ + "    " + Chr(34) + "\root\cimv2\Applications\MicrosoftIE" + Chr(34) + ")" + #CRLF$
    	VBS$ + "Set colIESettings = objWMIService.ExecQuery _" + #CRLF$
    	VBS$ + "    (" + Chr(34) + "Select * from MicrosoftIE_Summary" + Chr(34) + ")" + #CRLF$
    	VBS$ + "For Each strIESetting in colIESettings" + #CRLF$
    	VBS$ + "  name = name & strIESetting.ProductID & vbcrlf" + #CRLF$
    	VBS$ + "Next" + #CRLF$
      SCtr_AddCode(VBS$)
   ProcedureReturn SCtr_EvalStr("name") 
EndProcedure 

ProcedureDLL.s VBS_GetOfficeVersions() ; returns the Versions of installed Office 
SCtr_Reset()
   Protected VBS$ 
      VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
    	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
    	VBS$ + "Set colApps = objWMIService.ExecQuery _" + #CRLF$
    	VBS$ + "    (" + Chr(34) + "Select * from Win32_Product Where Caption Like '%Microsoft Office%'" + Chr(34) + ")" + #CRLF$
    	VBS$ + "For Each objApp in colApps" + #CRLF$
    	VBS$ + "    name = name & objApp.Caption & vbTab & objApp.Version & vbcrlf" + #CRLF$
    	VBS$ + "Next" + #CRLF$
      SCtr_AddCode(VBS$)
   ProcedureReturn SCtr_EvalStr("name") 
EndProcedure 

ProcedureDLL.s VBS_GetEventLogEvents() ; List All Events from an Event Log ; may take very long 
SCtr_Reset()
   Protected VBS$ 
      VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
    	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
    	VBS$ + "    & " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
    	VBS$ + "Set colLoggedEvents = objWMIService.ExecQuery _" + #CRLF$
    	VBS$ + "    (" + Chr(34) + "Select * from Win32_NTLogEvent Where Logfile = 'Application'" + Chr(34) + ")" + #CRLF$
    	VBS$ + "For Each objEvent in colLoggedEvents" + #CRLF$
    	VBS$ + "   name = name & objEvent.Category & vbTAB & objEvent.EventCode & vbTAB & objEvent.Message & vbTab & objEvent.RecordNumber & vbtab & objEvent.SourceName & vbTAB & objEvent.TimeWritten & vbTAB & objEvent.Type & vbTab & objEvent.User & vbcrlf" + #CRLF$
    	VBS$ + "Next" + #CRLF$
      SCtr_AddCode(VBS$)
   ProcedureReturn SCtr_EvalStr("name") 
EndProcedure 

ProcedureDLL.s VBS_GetComponentCategories() ; List Component Categories
SCtr_Reset()
   Protected VBS$ 
      VBS$ + "On Error Resume Next" + #CRLF$
    	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
    	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
    	VBS$ + "    & " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
    	VBS$ + "Set colItems = objWMIService.ExecQuery(" + Chr(34) + "Select * from Win32_ComponentCategory" + Chr(34) + ")" + #CRLF$
    	VBS$ + "For Each objItem in colItems" + #CRLF$
    	VBS$ + "    name = name & objItem.CategoryId & vbTab  & objItem.Name & vbCrlf" + #CRLF$
    	VBS$ + "Next" + #CRLF$
      SCtr_AddCode(VBS$)
   ProcedureReturn SCtr_EvalStr("name") 
EndProcedure 

ProcedureDLL.s VBS_GetStartupCommands() ; Enums all startup commands on a computer
SCtr_Reset()
   Protected VBS$ 
      VBS$ + "' Description: Enumerates all startup commands on a computer, including those found in the Startup folder and those found in the Registry." + #CRLF$
    	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
    	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
    	VBS$ + "    & " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
    	VBS$ + "Set colStartupCommands = objWMIService.ExecQuery _" + #CRLF$
    	VBS$ + "    (" + Chr(34) + "Select * from Win32_StartupCommand" + Chr(34) + ")" + #CRLF$
    	VBS$ + "For Each objStartupCommand in colStartupCommands" + #CRLF$
    	VBS$ + "    name = name & objStartupCommand.Command & vbTab & objStartupCommand.Description & vbTab & objStartupCommand.Location & vbTab & objStartupCommand.Name & vbTab & objStartupCommand.SettingID & vbTab & objStartupCommand.User & vbCrlf" + #CRLF$
    	VBS$ + "Next" + #CRLF$
      SCtr_AddCode(VBS$)
   ProcedureReturn SCtr_EvalStr("name") 
EndProcedure 

ProcedureDLL.s VBS_GetStartupOptions() ; Returns a list of startup options
SCtr_Reset()
   Protected VBS$ 
      VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
    	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
    	VBS$ + "    & " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
    	VBS$ + "Set colStartupCommands = objWMIService.ExecQuery _" + #CRLF$
    	VBS$ + "    (" + Chr(34) + "Select * from Win32_ComputerSystem" + Chr(34) + ")" + #CRLF$
    	VBS$ + "For Each objStartupCommand in colStartupCommands" + #CRLF$
    	VBS$ + "    For i = 0 to Ubound(objStartupCommand.SystemStartupOptions)" + #CRLF$
    	VBS$ + "        name = name & objStartupCommand.SystemStartupOptions(i) & vbCrlf" + #CRLF$
    	VBS$ + "            objStartupCommand.SystemStartupOptions(i) & vbCrlf" + #CRLF$
    	VBS$ + "    Next" + #CRLF$
    	VBS$ + "Next" + #CRLF$
     SCtr_AddCode(VBS$)
   ProcedureReturn SCtr_EvalStr("name") 
EndProcedure 

ProcedureDLL.s VBS_GetBootState() ; Returns the boot state
SCtr_Reset()
   Protected VBS$ 
      VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
    	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
    	VBS$ + "    & " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
    	VBS$ + "Set colStartupCommands = objWMIService.ExecQuery _" + #CRLF$
    	VBS$ + "    (" + Chr(34) + "Select * from Win32_ComputerSystem" + Chr(34) + ")" + #CRLF$
    	VBS$ + "For Each objStartupCommand in colStartupCommands" + #CRLF$
     	VBS$ + "    name = name & objStartupCommand.BootupState & vbCrlf" + #CRLF$
    	VBS$ + "Next" + #CRLF$
     SCtr_AddCode(VBS$)
   ProcedureReturn SCtr_EvalStr("name") 
EndProcedure 

ProcedureDLL.s VBS_GetStartUpDelay() ; Returns the startUpdelay
SCtr_Reset()
   Protected VBS$ 
      VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
    	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
    	VBS$ + "    & " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
    	VBS$ + "Set colStartupCommands = objWMIService.ExecQuery _" + #CRLF$
    	VBS$ + "    (" + Chr(34) + "Select * from Win32_ComputerSystem" + Chr(34) + ")" + #CRLF$
    	VBS$ + "For Each objStartupCommand in colStartupCommands" + #CRLF$
     	VBS$ + "    name = name & objStartupCommand.SystemStartupDelay & vbcrlf" + #CRLF$
    	VBS$ + "Next" + #CRLF$
     SCtr_AddCode(VBS$)
   ProcedureReturn SCtr_EvalStr("name") 
EndProcedure 

ProcedureDLL.s VBS_GetDisplaySettings() ; Returns the display settings: bits per pixel; deviceName; frequency; DriverVersion
SCtr_Reset()
   Protected VBS$ 
      VBS$ + "On Error Resume Next" + #CRLF$
    	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
    	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
    	VBS$ + "    & " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
    	VBS$ + "Set colItems = objWMIService.ExecQuery _" + #CRLF$
    	VBS$ + "    (" + Chr(34) + "Select * from Win32_DisplayConfiguration" + Chr(34) + ")" + #CRLF$
    	VBS$ + "For Each objItem in colItems" + #CRLF$
    	VBS$ + "    name = name & objItem.BitsPerPel & vbTab &  objItem.DeviceName & vbTab & objItem.DisplayFrequency & vbTab & objItem.DriverVersion & vbCrlf" + #CRLF$
    	VBS$ + "Next" + #CRLF$
     SCtr_AddCode(VBS$)
   ProcedureReturn SCtr_EvalStr("name") 
EndProcedure 

ProcedureDLL.s VBS_GetIPs() ; Returns the IP + description
SCtr_Reset()
   Protected VBS$ 
      VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
    	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:" + Chr(34) + " _" + #CRLF$
    	VBS$ + "    & " + Chr(34) + "{impersonationLevel=impersonate}!\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
    	VBS$ + "Set IPConfigSet = objWMIService.ExecQuery _" + #CRLF$
    	VBS$ + "    (" + Chr(34) + "Select * from Win32_NetworkAdapterConfiguration Where IPEnabled=TRUE" + Chr(34) + ")" + #CRLF$
    	VBS$ + "For Each IPConfig in IPConfigSet" + #CRLF$
    	VBS$ + "    If Not IsNull(IPConfig.IPAddress) Then " + #CRLF$
    	VBS$ + "        For i=LBound(IPConfig.IPAddress) to UBound(IPConfig.IPAddress)" + #CRLF$
    	VBS$ + "            name = name & IPConfig.description(i) & vbTab & IPConfig.IPAddress(i) & vbCrlf" + #CRLF$
    	VBS$ + "        Next" + #CRLF$
    	VBS$ + "    End If" + #CRLF$
    	VBS$ + "Next" + #CRLF$
     SCtr_AddCode(VBS$)
   ProcedureReturn SCtr_EvalStr("name") 
EndProcedure 

ProcedureDLL.s VBS_GetFonts() ; Returns the Fonts
SCtr_Reset()
   Protected VBS$ 
      VBS$ + "Const FONTS = &H14&" + #CRLF$
    	VBS$ + #CRLF$
    	VBS$ + "Set objShell = CreateObject(" + Chr(34) + "Shell.Application" + Chr(34) + ")" + #CRLF$
    	VBS$ + "Set objFolder = objShell.Namespace(FONTS)" + #CRLF$
    	VBS$ + "Set objFolderItem = objFolder.Self" + #CRLF$
    	VBS$ + "Set colItems = objFolder.Items" + #CRLF$
    	VBS$ + "For Each objItem in colItems" + #CRLF$
    	VBS$ + "  name = name & objItem.Name & vbCrlf" + #CRLF$
    	VBS$ + "Next" + #CRLF$
     SCtr_AddCode(VBS$)
   ProcedureReturn SCtr_EvalStr("name") 
EndProcedure 

ProcedureDLL.s VBS_MSSoftwareIds() ; Returns MS Software IDs
SCtr_Reset()
   Protected VBS$ 
      VBS$ + "Set objMSInfo = CreateObject(" + Chr(34) + "MsPIDinfo.MsPID" + Chr(34) + ")" + #CRLF$
    	VBS$ + "colMSApps = objMSInfo.GetPIDInfo()" + #CRLF$
    	VBS$ + "For Each strApp in colMSApps" + #CRLF$
    	VBS$ + "    name = name & strApp & vbCrlf" + #CRLF$
    	VBS$ + "Next" + #CRLF$
     SCtr_AddCode(VBS$)
   ProcedureReturn SCtr_EvalStr("name") 
EndProcedure

ProcedureDLL.s VBS_BatteryTime() ; Returns the remaining time
SCtr_Reset()
   Protected VBS$ 
      VBS$ + "On Error Resume Next" + #CRLF$
	VBS$ + "strComputer = " + Chr(34) + "." + Chr(34) + #CRLF$
	VBS$ + "Set objWMIService = GetObject(" + Chr(34) + "winmgmts:\\" + Chr(34) + " & strComputer & " + Chr(34) + "\root\cimv2" + Chr(34) + ")" + #CRLF$
	VBS$ + "Set colItems = objWMIService.ExecQuery(" + Chr(34) + "Select * from Win32_Battery" + Chr(34) + ",,48)" + #CRLF$
	VBS$ + "For Each objItem in colItems" + #CRLF$
	VBS$ + "    name = name & objItem.EstimatedRunTime & vbCrlf" + #CRLF$
	VBS$ + "Next" + #CRLF$
  SCtr_AddCode(VBS$)
   ProcedureReturn SCtr_EvalStr("name") 
EndProcedure 





; IDE Options = PureBasic 4.20 (Windows - x86)
; CursorPosition = 65
; FirstLine = 2
; Folding = AgAAAAAAAA9